# Generated by Django 3.2.9 on 2021-12-09 00:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('film', '0003_alter_film_id'),
        ('watchlist', '0002_auto_20211208_1225'),
    ]

    operations = [
        migrations.AddField(
            model_name='watchlist',
            name='user',
            field=models.OneToOneField(default=None, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='watchlistfilm',
            name='film',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='film.film'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='watchlist',
            name='id',
            field=models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID'),
        ),
        migrations.AlterField(
            model_name='watchlistfilm',
            name='id',
            field=models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID'),
        ),
    ]
